Skip to main content
GET
/
v2
/
transactions
/
{id}
/
child_transaction_links
List child transaction links
curl --request GET \
  --url https://thirdparty.qonto.com/v2/transactions/{id}/child_transaction_links \
  --header 'Authorization: Bearer <token>'
{
  "links": [
    {
      "link_type": "ddc_repayment",
      "related_transaction_id": "7b7a5ed6-3903-4782-889d-b4f64bd7bef9",
      "transaction": {
        "transaction_id": "super-transaction-7468",
        "amount": 25,
        "amount_cents": 2500,
        "settled_balance": 111.1,
        "settled_balance_cents": 11110,
        "attachment_ids": [],
        "local_amount": 25,
        "local_amount_cents": 2500,
        "side": "debit",
        "operation_type": "financing_installment",
        "currency": "EUR",
        "local_currency": "EUR",
        "label": "DDC repayment installment",
        "settled_at": "2021-03-14T17:17:02.000Z",
        "emitted_at": "2021-03-06T12:33:13.000Z",
        "created_at": "2021-03-06T12:33:13.000Z",
        "updated_at": "2021-03-21T21:32:03.000Z",
        "status": "completed",
        "note": null,
        "reference": null,
        "vat_amount": null,
        "vat_amount_cents": null,
        "vat_rate": null,
        "initiator_id": "6e5468a1-22ad-4974-bf9f-45652511d39c",
        "label_ids": [],
        "attachment_lost": false,
        "attachment_required": false,
        "card_last_digits": "1234",
        "category": "other_expense",
        "financing_installment": {
          "current_installment_number": 1,
          "total_installments_number": 3
        },
        "id": "01900000-0000-7000-8000-000000000002"
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "total_pages": 1,
    "total_count": 1,
    "per_page": 100
  }
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

UUID of the parent transaction.

Example:

"7b7a5ed6-3903-4782-889d-b4f64bd7bef9"

Query Parameters

Filter links by type. When omitted, all link types are returned.

Possible values:

  • ddc_repayment: a deferred debit card repayment installment linked to a repayment transaction
  • related_fee: a fee transaction related to the parent transaction
  • merged_fee: a merged fee transaction related to the parent transaction
Available options:
ddc_repayment,
related_fee,
merged_fee
page
string

Returned page (cf. Pagination).

per_page
string

Number of links per page (cf. Pagination).

Response

Returns child transaction links for the transaction identified by the id path parameter.

meta
object

Metadata for paginated responses